Name:           ooo3-base
Summary:        Virtual package for easier instalation of OpenOffice.org 3.x
%define mainversion 3.3
%define minorversion 9567
Version:        %{mainversion}.%{minorversion}
Release:        0%{?dist}
%define upperversion 3.3
%define oldversion1 3.1
%define maxoldversion1 3.1.99
#%define oldversion2 2.3


Group:          Applications/Productivity
License:        GPLv2+
URL:            http://www.openoffice.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

Requires:       jre 
Requires:       ooobasis%{upperversion}-base >= %{mainversion}
Requires:       ooobasis%{upperversion}-binfilter >= %{mainversion}
Requires:       ooobasis%{upperversion}-calc >= %{mainversion}
Requires:       ooobasis%{upperversion}-core01 >= %{mainversion}
Requires:       ooobasis%{upperversion}-core02 >= %{mainversion}
Requires:       ooobasis%{upperversion}-core03 >= %{mainversion}
Requires:       ooobasis%{upperversion}-core04 >= %{mainversion}
Requires:       ooobasis%{upperversion}-core05 >= %{mainversion}
Requires:       ooobasis%{upperversion}-core06 >= %{mainversion}
Requires:       ooobasis%{upperversion}-core07 >= %{mainversion}
Requires:       ooobasis%{upperversion}-draw >= %{mainversion}
Requires:       ooobasis%{upperversion}-gnome-integration  >= %{upperversion}
Requires:       ooobasis%{upperversion}-graphicfilter >= %{mainversion}
Requires:       ooobasis%{upperversion}-images >= %{mainversion}
Requires:       ooobasis%{upperversion}-impress >= %{mainversion}
Requires:       ooobasis%{upperversion}-javafilter >= %{mainversion}
Requires:       ooobasis%{upperversion}-kde-integration >= %{upperversion}
Requires:       ooobasis%{upperversion}-math >= %{mainversion}
Requires:       ooobasis%{upperversion}-onlineupdate >= %{mainversion}
Requires:       ooobasis%{upperversion}-ooofonts >= %{mainversion}
Requires:       ooobasis%{upperversion}-oooimprovement >= %{mainversion}
Requires:       ooobasis%{upperversion}-ooolinguistic >= %{mainversion}
Requires:       ooobasis%{upperversion}-pyuno >= %{mainversion}
Requires:       ooobasis%{upperversion}-testtool >= %{mainversion}
Requires:       ooobasis%{upperversion}-writer >= %{mainversion}
Requires:       ooobasis%{upperversion}-xsltfilter >= %{mainversion}
Requires:       openoffice.org%{upperversion}-redhat-menus >= %{upperversion}
Requires:       openoffice.org3 >= %{mainversion}
Requires:       openoffice.org3-base  >= %{mainversion}
Requires:       openoffice.org3-calc >= %{mainversion}
#Requires:       openoffice.org3-dict-en >= %{mainversion}
#Requires:       openoffice.org3-dict-es >= %{mainversion}
#Requires:       openoffice.org3-dict-fr >= %{mainversion}
Requires:       openoffice.org3-draw >= %{mainversion}
Requires:       openoffice.org3-impress >= %{mainversion}
Requires:       openoffice.org3-math >= %{mainversion}
Requires:       openoffice.org3-writer >= %{mainversion}
Requires:       openoffice.org-ure
# Not needed for installing as root, only for Java installer as regular user
Requires:       openoffice.org-userland

Provides:       ooo3-base = %{version}-%{release}
# OpenOffice 3.1:
Provides:       ooobasis%{oldversion1}-base = %{mainversion}
Provides:       ooobasis%{oldversion1}-binfilter = %{mainversion}
Provides:       ooobasis%{oldversion1}-calc = %{mainversion}
Provides:       ooobasis%{oldversion1}-core01 = %{mainversion}
Provides:       ooobasis%{oldversion1}-core02 = %{mainversion}
Provides:       ooobasis%{oldversion1}-core03 = %{mainversion}
Provides:       ooobasis%{oldversion1}-core04 = %{mainversion}
Provides:       ooobasis%{oldversion1}-core05 = %{mainversion}
Provides:       ooobasis%{oldversion1}-core06 = %{mainversion}
Provides:       ooobasis%{oldversion1}-core07 = %{mainversion}
Provides:       ooobasis%{oldversion1}-draw = %{mainversion}
Provides:       ooobasis%{oldversion1}-gnome-integration  = %{upperversion}
Provides:       ooobasis%{oldversion1}-graphicfilter = %{mainversion}
Provides:       ooobasis%{oldversion1}-images = %{mainversion}
Provides:       ooobasis%{oldversion1}-impress = %{mainversion}
Provides:       ooobasis%{oldversion1}-javafilter = %{mainversion}
Provides:       ooobasis%{oldversion1}-kde-integration = %{upperversion}
Provides:       ooobasis%{oldversion1}-math = %{mainversion}
Provides:       ooobasis%{oldversion1}-onlineupdate = %{mainversion}
Provides:       ooobasis%{oldversion1}-ooofonts = %{mainversion}
Provides:       ooobasis%{oldversion1}-oooimprovement = %{mainversion}
Provides:       ooobasis%{oldversion1}-ooolinguistic = %{mainversion}
Provides:       ooobasis%{oldversion1}-pyuno = %{mainversion}
Provides:       ooobasis%{oldversion1}-testtool = %{mainversion}
Provides:       ooobasis%{oldversion1}-writer = %{mainversion}
Provides:       ooobasis%{oldversion1}-xsltfilter = %{mainversion}
Obsoletes:       ooobasis%{oldversion1}-base < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-binfilter < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-calc < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-core01 < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-core02 < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-core03 < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-core04 < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-core05 < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-core06 < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-core07 < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-draw < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-gnome-integration  < %{upperversion}
Obsoletes:       ooobasis%{oldversion1}-graphicfilter < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-images < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-impress < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-javafilter < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-kde-integration < %{upperversion}
Obsoletes:       ooobasis%{oldversion1}-math < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-onlineupdate < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-ooofonts < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-oooimprovement < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-ooolinguistic < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-pyuno < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-testtool < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-writer < %{maxoldversion1}
Obsoletes:       ooobasis%{oldversion1}-xsltfilter < %{maxoldversion1}

#OpenOffice 2.3.0:
Provides:       openoffice.org-base = 3.3
Provides:       openoffice.org-calc = 3.3
Provides:       openoffice.org-core = 3.3
Provides:       openoffice.org-draw = 3.3
Provides:       openoffice.org-emailmerge = 3.3
Provides:       openoffice.org-graphicfilter = 3.3
Provides:       openoffice.org-headless = 3.3
Provides:       openoffice.org-impress = 3.3
Provides:       openoffice.org-javafilter = 3.3
Provides:       openoffice.org-math = 3.3
Provides:       openoffice.org-pyuno = 3.3
Provides:       openoffice.org-sdk = 3.3
Provides:       openoffice.org-sdk-doc = 3.3
Provides:       openoffice.org-testtools = 3.3
Provides:       openoffice.org-writer = 3.3
Provides:       openoffice.org-xsltfilter = 3.3
Obsoletes:       openoffice.org-base < 3.3
Obsoletes:       openoffice.org-calc < 3.3
Obsoletes:       openoffice.org-core < 3.3
Obsoletes:       openoffice.org-draw < 3.3
Obsoletes:       openoffice.org-emailmerge < 3.3
Obsoletes:       openoffice.org-graphicfilter < 3.3
Obsoletes:       openoffice.org-headless < 3.3
Obsoletes:       openoffice.org-impress < 3.3
Obsoletes:       openoffice.org-javafilter < 3.3
Obsoletes:       openoffice.org-math < 3.3
Obsoletes:       openoffice.org-pyuno < 3.3
Obsoletes:       openoffice.org-sdk < 3.3
Obsoletes:       openoffice.org-sdk-doc < 3.3
Obsoletes:       openoffice.org-testtools < 3.3
Obsoletes:       openoffice.org-writer < 3.3
Obsoletes:       openoffice.org-xsltfilter < 3.3


%description
This is virtual package that provides easy installation
of core packages of openOffice.org %{version}. put together
on http://rpms.plnet.rs 
You MUST install also the one of the language packages
(ooo3-en-US,...), or better yet, install one of them
and they will install this package and all the others.

%prep
mkdir -p $RPM_BUILD_DIR/%{name}-%{version}
cd $RPM_BUILD_DIR/%{name}-%{version}
cat > README << EOF
This is virtual package that provides easy installation
of core packages of openOffice.org %{version}. put together
on http://rpms.plnet.rs 
You MUST install also the one of the language packages
(ooo3-en-US,...), or better yet, install one of them
and they will install this package and all the others.

EOF


%files
%defattr(-,root,root,-)
%doc %{name}-%{version}/README



%changelog
* Sun Feb 26 2011 Ljubomir Ljubojevic <office@plnet.rs> - 3.3.9567-0
- Bumped up to version 3.3.

* Sun Feb 14 2010 Ljubomir Ljubojevic <office@plnet.rs> - 3.2.9483-1
- Bumped up to version 3.2.
- Removed fixed numbering for packages.
- Removed numbering from spec filename.
- Marked userland not needed for repository installation (as root).

* Sat Feb 06 2010 Ljubomir Ljubojevic <office@plnet.rs> - 3.1.1.9420-2
- Removed requirements for dictionaries.

* Sat Feb 06 2010 Ljubomir Ljubojevic <office@plnet.rs> - 3.1.1.9420-1
- Changed version numbering.

* Tue Oct  6 2009 Ljubomir Ljubojevic <office@plnet.rs> - 3.1.1
- First build.
